Send a transactional inbox message
Send a transactional inbox message. Inbox messages deliver raw JSON payloads to your application through our JavaScript SDK, allowing you to build custom notification centers, message feeds, and other UI components.
You send a message using a transactional_message_id for an inbox message template created in the user interface. The transactional_message_id can be either the numerical ID for the template or the Trigger Name that you assigned the template.
You can find your transactional_message_id from the code sample in the Overview tab for your transactional message in the user interface, or you can look up a list of your transactional messages through the App API.
Note: Inbox messages are currently available for web platforms only and require the Customer.io In-App Plugin to be installed.
- Type: object
- application/json
- application/json
- application/json
curl https://api.customer.io/v1/send/inbox_message \
--request POST \
--header 'X-Workspace-Id: 100' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"transactional_message_id": "order_shipped",
"identifiers": {
"id": "user_123"
},
"message_data": {
"order_id": "ORD-5678",
"tracking_url": "https://track.example.com/5678",
"product_name": "Blue Widget",
"product_image": "https://cdn.example.com/widget.jpg"
}
}'
{
"delivery_id": "string",
"queued_at": 1,
"send_at": 1
}Returns a unique ID for the delivery.